Subject: [bug#56534] [videolang/video] #lang video on Guix OS (Issue #67)

From: "Philip McGrath" <[email-masked]>
Date: Mon, 09 Oct 2023 10:05:55 -0400

Hi Ludo’.,

On Mon, Oct 9, 2023, at 9:34 AM, Ludovic Courtès wrote:
> Hello Philip and all,
>
> "Philip McGrath" <[email-masked]> skribis:
>
>> I'm cross-posting this to both <https://issues.guix.gnu.org/56534> and <https://github.com/videolang/video/issues/67>.
>>
>> I've been working for some time toward making a Guix build system and importer for Racket packages: I'm optimistic that I may get something working between the Racket 8.6 and 8.7 releases.
>>
>> For now, I would suggest not adding `portaudio` and `ffmpeg` as inputs to the main `racket` package. Instead, if you want to get something working for now, I would suggest adding a new package `racket-with-video` that extends the `racket` package in the same way that `racket` extends `racket-minimal`. I'd expect it would go somewhat like this
>
> It’s been a while.  Should one of you add the ‘racket-with-video’
> package you proposed?  WDYT?
>

I'd be happy to give it a try, though I may not have time until next week (definitely not today).

IIRC, all of the potential complications I mentioned up-thread have been solved by now, so it should just be a matter of collecting all the dependencies.

Philip